Bug 73 - Problem with iso-8859-1 encoded messages
Summary: Problem with iso-8859-1 encoded messages
Status: RESOLVED FIXED
Alias: None
Product: ZeXtras
Classification: Unclassified
Component: ZxMobile (show other bugs)
Version: 1.8.4
Hardware: -- Linux
: Normal normal
Assignee: ZeXtras Bugzilla Admin
QA Contact:
URL:
Depends on:
Blocks:
 
Reported: 2013-04-12 11:16 CEST by NiKo
Modified: 2013-04-17 08:18 CEST (History)
2 users (show)

See Also:
Browser: ---
Zimlet Chat version: ---
Zimbra Version: 8.0.3


Attachments
raw example message (2.19 KB, application/gzip)
2013-04-12 11:16 CEST, NiKo
Details
screenshot (109.64 KB, image/png)
2013-04-12 11:16 CEST, NiKo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NiKo 2013-04-12 11:16:00 CEST
Created attachment 13 [details]
raw example message

Hello,

Since 1.8.4 release, we have noticed an issue with messages encoded as "text/plain; charset=ISO-8859-1".

The attached message (234186-763254.msg.gz), which can be injected into Zimbra, is encoded as :

Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 8bit

and content looks correct (for example, "รข" is encoded 0xe2 which is correct)

However, on the iPhone, all accented characters appears as squares. (see screenshot photo.PNG)

=> It doesn't happen if message is encoded utf-8
=> It seems it didn't happen on release 1.8.3
=> Message is correctly displayed in webmail, zimbra desktop and outlook

Thanks
Regards
Comment 1 NiKo 2013-04-12 11:16:21 CEST
Created attachment 14 [details]
screenshot
Comment 2 ZeXtras Bugzilla Admin 2013-04-15 15:44:00 CEST
Fixed in 1.8.5, default android implementation is still affected (the encoding type is simply ignored), there is little we can do aside re-encode the email.
Comment 3 Cine 2013-04-17 07:12:03 CEST
Fix pushed to production, the package you can download from http://www.zextras.com/zextras-download-for-zimbra.html now includes the fix.
Comment 4 NiKo 2013-04-17 07:43:58 CEST
That's right, the zextras.jar the a freshly downloaded zextras_suite-latest.tgz shows differences....

That's totally weird (and look quite unprofessional...) because the release number hasen't changed and the changelog hasen't been updated.

Except comparing the old and the new tar contents, it's impossible to know there was a change...

I'll install this new version tonight

Thanks
Regards
Comment 5 Cine 2013-04-17 08:18:57 CEST
Hello Niko,

in cases like this we prefer to build a fixed package and make it available for download without starting a full release process in order to avoid creating a commotion for 1 or 2 minor changes.
All bugfixes are communicated "officially" in the next available version's Changelog.